Bug 75985 - up2date crashed when run
Summary: up2date crashed when run
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-15 15:35 UTC by Need Real Name
Modified: 2015-01-08 00:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-05 21:04:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-10-15 15:35:45 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
Get error message when running up2date

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. run up2date

	

Actual Results:  error: unrecognized db option: "tmpdir" ignored
error: cannot open Packages index using db3 - Invalid argument (22)
Traceback (innermost last):
  File "/usr/sbin/up2date", line 17, in ?
    from up2date_client import rpcServer
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 8, in ?
    import up2dateAuth
  File "/usr/share/rhn/up2date_client/up2dateAuth.py", line 4, in ?
    import rpmSource
  File "/usr/share/rhn/up2date_client/rpmSource.py", line 11, in ?
    import up2dateUtils
  File "/usr/share/rhn/up2date_client/up2dateUtils.py", line 15, in ?
    import rpmUtils
  File "/usr/share/rhn/up2date_client/rpmUtils.py", line 274, in ?
    rpm_version = getRpmVersion()
  File "/usr/share/rhn/up2date_client/rpmUtils.py", line 265, in getRpmVersion
    db = openrpmdb()
  File "/usr/share/rhn/up2date_client/rpmUtils.py", line 52, in openrpmdb
    raise up2dateErrors.RpmError(_("Could not open RPM database for reading.  
Perhaps it is already in use?"))
up2date_client.up2dateErrors.RpmError: RPM error.  The message was:
Could not open RPM database for reading.  Perhaps it is already in use?


Expected Results:  Up2date client should have run

Additional info:

n/a

Comment 1 Adrian Likins 2002-10-18 21:12:57 UTC
is there a rpm process running somewhere that would hold
the rpm database open?

Shouldnt traceback of course, taking a look at that...

Comment 2 Need Real Name 2002-10-25 13:16:23 UTC
There are no rpm Processes running that would hold the rpm database open 

Mike

Comment 3 Adrian Likins 2002-11-04 22:59:52 UTC
Can you try:
     rpm --rebuilddb


Was this install a upgrade from a previous release (6.2?)

Also, it could be a permssions problem if ran as non-root.
up2date is supposed to detect this case and handle it (
and does so correctly as far as I know) but the rpm maintainer
suggested it as possible reason the rpm db would fail to
open.

Comment 4 Adrian Likins 2004-04-05 21:04:15 UTC
Shouldnt be an issue with currently supported releases.


Note You need to log in before you can comment on or make changes to this bug.